Bug 352384 - mmap-FIXED failed in UME (load_segment2)
Summary: mmap-FIXED failed in UME (load_segment2)
Status: CONFIRMED
Alias: None
Product: valgrind
Classification: Unclassified
Component: general (show other bugs)
Version: 3.10 SVN
Platform: Compiled Sources macOS
: NOR normal (vote)
Target Milestone: ---
Assignee: Rhys Kidd
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-07 14:27 UTC by FX
Modified: 2015-09-14 03:57 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description FX 2015-09-07 14:27:35 UTC
Using valgrind trunk (revision 15637) compiled from sources on Mac OS 10.11 (El Capitan), I get the following error on certain executables (in this case, the GCC compilers):

$ valgrind --version
valgrind-3.11.0.SVN
$ valgrind ./f951
valgrind: mmap-FIXED(0x1015a2000, 1075085312) failed in UME (load_segment2) with error 22 (Invalid argument).

The bzip2'ed executable "f951" can be found at this URL: https://www.dropbox.com/s/wzzj20gte9dm8vh/f951.bz2?dl=0
Comment 1 Rhys Kidd 2015-09-07 15:12:12 UTC
Hello,
To these executables have any packers like UPX run on them?
Comment 2 FX 2015-09-07 15:13:13 UTC
(In reply to Rhys Kidd from comment #1)
> To these executables have any packers like UPX run on them?

Nope.
Comment 3 Rhys Kidd 2015-09-12 06:29:51 UTC
I'm removing this as a blocker on OS X 10.11 support, as the same error is reported with current and prior OS X releases.

The underlying issue here is related to other reports of failure mmap'ing low addresses within the executable, where Valgrind also maps itself. e.g. can be caused by executables with very large text, data or bss segments.

There is some further discussion that can be found here: bz#138424 or with a quick search through closed bug reports with "mmap-FIXED".